PhysicalConstants (Colt 1.2.0 - API Specification)
Keywords: cern.clhep.PhysicalConstants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.clhep
Class PhysicalConstants

    java.lang.Object
      cern.clhep.PhysicalConstants

public class PhysicalConstants
extends Object

High Energy Physics coherent Physical Constants. This class is a Java port of the C++ version found in CLHEP 1.4.0, which in turn has been provided by Geant4 (a simulation toolkit for HEP).

For aliasing see `physicalConstants`.

Version:
  1.0, 09/24/99

Field Summary
`static double` | `alpha_rcl2`
`static double` | `amu`
`static double` | `amu_c2`
`static double` | `Avogadro`
`static double` | `Bohr_radius`
`static double` | `c_light`
`static double` | `c_squared`
`static double` | `classic_electr_radius`
`static double` | `e_squared`
`static double` | `electron_charge`
`static double` | `electron_Compton_length`
`static double` | `electron_mass_c2`
`static double` | `elm_coupling`
`static double` | `epsilon0`
`static double` | `fine_structure_const`
`static double` | `h_Planck`
`static double` | `halfpi`
`static double` | `hbar_Planck`
`static double` | `hbarc`
`static double` | `hbarc_squared`
`static double` | `k_Boltzmann`
`static double` | `kGasThreshold`
`static double` | `mu0`
`static double` | `neutron_mass_c2`
`static PhysicalConstants` | `physicalConstants` Little trick to allow for "aliasing", that is, renaming this class.
`static double` | `pi`
`static double` | `pi2`
`static double` | `proton_mass_c2`
`static double` | `STP_Pressure`
`static double` | `STP_Temperature`
`static double` | `twopi`
`static double` | `twopi_mc2_rcl2`
`static double` | `universe_mean_density`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### physicalConstants

    public static final PhysicalConstants physicalConstants

  Little trick to allow for "aliasing", that is, renaming this class. Normally you would write

       PhysicalConstants.twopi;
       PhysicalConstants.c_light;
       PhysicalConstants.h_Planck;

  Since this class has only static methods, but no instance methods you can also shorten the name "PhysicalConstants" to a name that better suits you, for example "P".

       PhysicalConstants P = PhysicalConstants.physicalConstants; // kind of "alias"
       P.twopi;
       P.c_light;
       P.h_Planck;

### pi

    public static final double pi

See Also:
  Constant Field Values

### twopi

    public static final double twopi

See Also:
  Constant Field Values

### halfpi

    public static final double halfpi

See Also:
  Constant Field Values

### pi2

    public static final double pi2

See Also:
  Constant Field Values

### Avogadro

    public static final double Avogadro

See Also:
  Constant Field Values

### c_light

    public static final double c_light

See Also:
  Constant Field Values

### c_squared

    public static final double c_squared

See Also:
  Constant Field Values

### h_Planck

    public static final double h_Planck

See Also:
  Constant Field Values

### hbar_Planck

    public static final double hbar_Planck

See Also:
  Constant Field Values

### hbarc

    public static final double hbarc

See Also:
  Constant Field Values

### hbarc_squared

    public static final double hbarc_squared

See Also:
  Constant Field Values

### electron_charge

    public static final double electron_charge

See Also:
  Constant Field Values

### e_squared

    public static final double e_squared

See Also:
  Constant Field Values

### electron_mass_c2

    public static final double electron_mass_c2

See Also:
  Constant Field Values

### proton_mass_c2

    public static final double proton_mass_c2

See Also:
  Constant Field Values

### neutron_mass_c2

    public static final double neutron_mass_c2

See Also:
  Constant Field Values

### amu_c2

    public static final double amu_c2

See Also:
  Constant Field Values

### amu

    public static final double amu

See Also:
  Constant Field Values

### mu0

    public static final double mu0

See Also:
  Constant Field Values

### epsilon0

    public static final double epsilon0

See Also:
  Constant Field Values

### elm_coupling

    public static final double elm_coupling

See Also:
  Constant Field Values

### fine_structure_const

    public static final double fine_structure_const

See Also:
  Constant Field Values

### classic_electr_radius

    public static final double classic_electr_radius

See Also:
  Constant Field Values

### electron_Compton_length

    public static final double electron_Compton_length

See Also:
  Constant Field Values

### Bohr_radius

    public static final double Bohr_radius

See Also:
  Constant Field Values

### alpha_rcl2

    public static final double alpha_rcl2

See Also:
  Constant Field Values

### twopi_mc2_rcl2

    public static final double twopi_mc2_rcl2

See Also:
  Constant Field Values

### k_Boltzmann

    public static final double k_Boltzmann

See Also:
  Constant Field Values

### STP_Temperature

    public static final double STP_Temperature

See Also:
  Constant Field Values

### STP_Pressure

    public static final double STP_Pressure

See Also:
  Constant Field Values

### kGasThreshold

    public static final double kGasThreshold

See Also:
  Constant Field Values

### universe_mean_density

    public static final double universe_mean_density

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage